﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TrackBallInfos
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class Model
    {
        public string XData { get; set; }

        public double YData { get; set; }

    }

    public class ViewModel
    {
        public ViewModel()
        {
            Datas = new ObservableCollection<Model>();
            Datas.Add(new Model() { XData = "Lenovo", YData = 10 });
            Datas.Add(new Model() { XData = "HTC", YData = 15 });
            Datas.Add(new Model() { XData = "Apple", YData = 13 });
            Datas.Add(new Model() { XData = "Microsoft", YData = 18 });
            Datas.Add(new Model() { XData = "Moto", YData = 16 });
            Datas.Add(new Model() { XData = "LG", YData = 23 });
            Datas.Add(new Model() { XData = "Samsung", YData = 12 });
            MinimumY = 5;
            MaximumY = 25;
        }

        public ObservableCollection<Model> Datas { get; set; }

        public double MinimumY { get; set; }

        public double MaximumY { get; set; }
    }

}
